## org.hibernate.ejb.criteria
Interface MapJoinImplementor<Z,K,V>

All Superinterfaces:
  Expression<V>, ExpressionImplementor<V>, Fetch<Z,V>, FetchParent<Z,V>, From<Z,V>, FromImplementor<Z,V>, Join<Z,V>, JoinImplementor<Z,V>, MapJoin<Z,K,V>, Path<V>, PathImplementor<V>, PathSource<V>, PluralJoin<Z,Map<K,V>,V>, Renderable, Selection<V>, SelectionImplementor<V>, TupleElement<V>, TupleElementImplementor<V>

All Known Implementing Classes:
  MapAttributeJoin

    public interface MapJoinImplementor<Z,K,V>

extends JoinImplementor<Z,V>, MapJoin<Z,K,V>

Specialization of `JoinImplementor` for `Map` typed attribute joins

Method Summary
`MapJoinImplementor<Z,K,V>` `correlateTo(CriteriaSubqueryImpl subquery)` Refined return type

Methods inherited from interface javax.persistence.criteria.Fetch
`getAttribute, getJoinType, getParent`

Methods inherited from interface org.hibernate.ejb.criteria.FromImplementor
`getCorrelationParent, prepareAlias, prepareCorrelationDelegate, renderTableExpression`

Methods inherited from interface org.hibernate.ejb.criteria.PathImplementor
`getAttribute`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier`

Methods inherited from interface javax.persistence.criteria.MapJoin
`entry, getModel, key, value`

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### correlateTo

    MapJoinImplementor<Z,K,V> correlateTo(CriteriaSubqueryImpl subquery)

  Refined return type

  Refined return type

  Specified by:
    `correlateTo` in interface `FromImplementor<Z,V>`
  Specified by:
    `correlateTo` in interface `JoinImplementor<Z,V>`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.